#2924 closed defect (fixed)

Warnings in SPARC BSPs

Reported by: Joel Sherrill Owned by: Daniel Hellstrom
Priority: normal Milestone: 5.1
Component: arch/sparc Version: 5
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

As of today, the following warnings exist for SPARC BSPs.

log/sparc-leon2.log:../../../../../../../../rtems/c/src/lib/libbsp/sparc/leon2/console/debugputs.c:43:5: warning: this 'while' clause does not guard... [-Wmisleading-indentation]
log/sparc-leon2.log:../../../../../../../../rtems/c/src/lib/libbsp/sparc/leon2/../../sparc/shared/amba/ahbstat.c:156:3: warning: implicit declaration of function 'printk' [-Wimplicit-function-declaration]
log/sparc-leon2.log:../../../../../../../../rtems/c/src/lib/libbsp/sparc/leon2/../../sparc/shared/amba/ahbstat.c:156:3: warning: nested extern declaration of 'printk' [-Wnested-externs]
log/sparc-leon2.log:../../../../../../../../rtems/c/src/lib/libbsp/sparc/leon2/../../sparc/shared/drvmgr/ambapp_bus.c:647:4: warning: implicit declaration of function 'printk' [-Wimplicit-function-declaration]
log/sparc-leon2.log:../../../../../../../../rtems/c/src/lib/libbsp/sparc/leon2/../../sparc/shared/drvmgr/ambapp_bus.c:647:4: warning: nested extern declaration of 'printk' [-Wnested-externs]
log/sparc-leon2.log:../../../../../../../../rtems/c/src/lib/libbsp/sparc/leon2/../../sparc/shared/drvmgr/leon2_amba_bus.c:168:3: warning: implicit declaration of function 'printk' [-Wimplicit-function-declaration]
log/sparc-leon2.log:../../../../../../../../rtems/c/src/lib/libbsp/sparc/leon2/../../sparc/shared/drvmgr/leon2_amba_bus.c:168:3: warning: nested extern declaration of 'printk' [-Wnested-externs]
log/sparc-leon2.log:../../../../../../../../rtems/c/src/lib/libbsp/sparc/leon2/../../sparc/shared/irq/genirq.c:244:3: warning: implicit declaration of function 'printk' [-Wimplicit-function-declaration]
log/sparc-leon2.log:../../../../../../../../rtems/c/src/lib/libbsp/sparc/leon2/../../sparc/shared/irq/genirq.c:244:3: warning: nested extern declaration of 'printk' [-Wnested-externs]
log/sparc-leon2.log:../../../../../../../../rtems/c/src/lib/libbsp/sparc/leon2/../../sparc/shared/spw/grspw_router.c:213:4: warning: implicit declaration of function 'printk' [-Wimplicit-function-declaration]
log/sparc-leon2.log:../../../../../../../../rtems/c/src/lib/libbsp/sparc/leon2/../../sparc/shared/spw/grspw_router.c:213:4: warning: nested extern declaration of 'printk' [-Wnested-externs]
log/sparc-leon2.log:../../../../../../../../rtems/c/src/lib/libbsp/sparc/leon2/../../sparc/shared/uart/apbuart.c:574:21: warning: format '%x' expects argument of type 'unsigned int', but argument 2 has type 'apbuart_priv * {aka struct <anonymous> *}' [-Wformat=]
log/sparc-leon3.log:../../../../../../../../rtems/c/src/lib/libbsp/sparc/leon3/../../sparc/shared/amba/ahbstat.c:156:3: warning: implicit declaration of function 'printk' [-Wimplicit-function-declaration]
log/sparc-leon3.log:../../../../../../../../rtems/c/src/lib/libbsp/sparc/leon3/../../sparc/shared/amba/ahbstat.c:156:3: warning: nested extern declaration of 'printk' [-Wnested-externs]
log/sparc-ngmp.log:../../../../../../../../rtems/c/src/lib/libbsp/sparc/leon3/../../sparc/shared/amba/ahbstat.c:156:3: warning: implicit declaration of function 'printk' [-Wimplicit-function-declaration]
log/sparc-ngmp.log:../../../../../../../../rtems/c/src/lib/libbsp/sparc/leon3/../../sparc/shared/amba/ahbstat.c:156:3: warning: nested extern declaration of 'printk' [-Wnested-externs]
log/sparc-leon3.log:../../../../../../../../rtems/c/src/lib/libbsp/sparc/leon3/../../sparc/shared/drvmgr/ambapp_bus.c:647:4: warning: implicit declaration of function 'printk' [-Wimplicit-function-declaration]
log/sparc-leon3.log:../../../../../../../../rtems/c/src/lib/libbsp/sparc/leon3/../../sparc/shared/drvmgr/ambapp_bus.c:647:4: warning: nested extern declaration of 'printk' [-Wnested-externs]
log/sparc-ngmp.log:../../../../../../../../rtems/c/src/lib/libbsp/sparc/leon3/../../sparc/shared/drvmgr/ambapp_bus.c:647:4: warning: implicit declaration of function 'printk' [-Wimplicit-function-declaration]
log/sparc-ngmp.log:../../../../../../../../rtems/c/src/lib/libbsp/sparc/leon3/../../sparc/shared/drvmgr/ambapp_bus.c:647:4: warning: nested extern declaration of 'printk' [-Wnested-externs]
log/sparc-leon3.log:../../../../../../../../rtems/c/src/lib/libbsp/sparc/leon3/../../sparc/shared/irq/genirq.c:244:3: warning: implicit declaration of function 'printk' [-Wimplicit-function-declaration]
log/sparc-leon3.log:../../../../../../../../rtems/c/src/lib/libbsp/sparc/leon3/../../sparc/shared/irq/genirq.c:244:3: warning: nested extern declaration of 'printk' [-Wnested-externs]
log/sparc-ngmp.log:../../../../../../../../rtems/c/src/lib/libbsp/sparc/leon3/../../sparc/shared/irq/genirq.c:244:3: warning: implicit declaration of function 'printk' [-Wimplicit-function-declaration]
log/sparc-ngmp.log:../../../../../../../../rtems/c/src/lib/libbsp/sparc/leon3/../../sparc/shared/irq/genirq.c:244:3: warning: nested extern declaration of 'printk' [-Wnested-externs]
log/sparc-leon3.log:../../../../../../../../rtems/c/src/lib/libbsp/sparc/leon3/../../sparc/shared/spw/grspw_router.c:213:4: warning: implicit declaration of function 'printk' [-Wimplicit-function-declaration]
log/sparc-leon3.log:../../../../../../../../rtems/c/src/lib/libbsp/sparc/leon3/../../sparc/shared/spw/grspw_router.c:213:4: warning: nested extern declaration of 'printk' [-Wnested-externs]
log/sparc-ngmp.log:../../../../../../../../rtems/c/src/lib/libbsp/sparc/leon3/../../sparc/shared/spw/grspw_router.c:213:4: warning: implicit declaration of function 'printk' [-Wimplicit-function-declaration]
log/sparc-ngmp.log:../../../../../../../../rtems/c/src/lib/libbsp/sparc/leon3/../../sparc/shared/spw/grspw_router.c:213:4: warning: nested extern declaration of 'printk' [-Wnested-externs]
log/sparc-leon3.log:../../../../../../../../rtems/c/src/lib/libbsp/sparc/leon3/../../sparc/shared/uart/apbuart.c:574:21: warning: format '%x' expects argument of type 'unsigned int', but argument 2 has type 'apbuart_priv * {aka struct <anonymous> *}' [-Wformat=]
log/sparc-ngmp.log:../../../../../../../../rtems/c/src/lib/libbsp/sparc/leon3/../../sparc/shared/uart/apbuart.c:574:21: warning: format '%x' expects argument of type 'unsigned int', but argument 2 has type 'apbuart_priv * {aka struct <anonymous> *}' [-Wformat=]

Change History (5)

comment:1 Changed on Mar 10, 2017 at 7:31:29 PM by Joel Sherrill

Owner: changed from joel.sherrill@… to Daniel Hellstrom
Status: newassigned

comment:2 Changed on May 11, 2017 at 7:31:02 AM by Sebastian Huber

Milestone: 4.124.12.0

comment:3 Changed on Oct 10, 2017 at 6:53:06 AM by Sebastian Huber

Component: bspsarch/sparc

comment:4 Changed on Oct 12, 2017 at 5:29:59 PM by Joel Sherrill

Resolution: fixed
Status: assignedclosed

These no longer occur. Closing.

comment:5 Changed on Nov 9, 2017 at 6:27:14 AM by Sebastian Huber

Milestone: 4.12.05.1

Milestone renamed

Note: See TracTickets for help on using tickets.